Subject: Still have an Authorization failure in Debian/Potato
From: Xeno Campanoli <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 03 Jan 2000 02:56:19 +0000

I have the access file (for my superuser password?) defined correctly I
think as:

-rwx------    1 www-data www-data       38 Jan  2 18:29 access

and I've added some suggested specifications to srm.conf right under the
ScriptAlias spec as follows:

>
> ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
>
> RewriteRule ^/Zope(.*) /usr/lib/cgi-bin/Zope.cgi$1
> [e=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
>

My zope and apache daemons are running fine:

root     19210  0.0  3.9  3156 2472 ?        S    18:32   0:00 python
/usr/sbin/zope-z2
www-data 19211  1.3  9.9  7144 6268 ?        S    18:32   0:14
/usr/bin/python /usr/sbin/zope-z2
www-data 19262  0.0  9.9  7144 6268 ?        S    18:33   0:00
/usr/bin/python /usr/sbin/zope-z2
www-data 19263  0.0  9.9  7144 6268 ?        S    18:33   0:00
/usr/bin/python /usr/sbin/zope-z2
www-data 19264  0.0  9.9  7144 6268 ?        S    18:33   0:00
/usr/bin/python /usr/sbin/zope-z2
www-data 19265  0.0  9.9  7144 6268 ?        S    18:33   0:00
/usr/bin/python /usr/sbin/zope-z2
www-data 19266  0.0  9.9  7144 6268 ?        S    18:33   0:00
/usr/bin/python /usr/sbin/zope-z2

root     19201  0.0  2.0  2520 1296 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19202  0.0  2.2  2628 1444 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19203  0.0  2.0  2532 1296 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19204  0.0  2.0  2532 1296 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19205  0.0  2.0  2532 1296 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19206  0.0  2.2  2628 1444 ?        S    18:32   0:00
/usr/sbin/apache
www-data 19267  0.0  2.0  2532 1312 ?        S    18:33   0:00
/usr/sbin/apache

and yet when I try to log in with Xeno I get an Authorization failed
window and the following messages
in the /var/lib/zope/var/Z2.log file:

127.0.0.1:- - [03/Jan/2000:02:27:46 -0700] "GET Zope/manage" 1727
127.0.0.1:- - [03/Jan/2000:02:30:46 -0700] "GET Zope/manage" 1727
127.0.0.1:- - [03/Jan/2000:02:31:54 -0700] "GET Zope/manage" 1727
127.0.0.1:- - [03/Jan/2000:02:32:02 -0700] "GET Zope/manage" 1727
127.0.0.1:- - [03/Jan/2000:02:33:01 -0700] "GET Zope/manage" 1727
127.0.0.1:- - [03/Jan/2000:02:33:09 -0700] "GET Zope/manage" 1727

Any suggestions on other things to try would be appretiated.